Bug 91409 - (IT_22466) debugs icheck typo
debugs icheck typo
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: e2fsprogs (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-22 09:09 EDT by Rick Dennis
Modified: 2015-01-07 19:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 06:42:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Dennis 2003-05-22 09:09:37 EDT
Description of problem:
When you run icheck in debugfs, it transposes the block and inode number.

Version-Release number of selected component (if applicable):
# uname -a
Linux njlxdesk3 2.4.9-e.8 #1 Fri Jul 19 15:49:04 EDT 2002 i686 unknown
# cat /etc/redhat-release
Red Hat Linux Advanced Server release 2.1AS (Pensacola)
# rpm -qf /sbin/debugfs
e2fsprogs-1.26-1.72


How reproducible:
Also reproduceable on e12

Steps to Reproduce:
1. debugfs <filesystem>
2. stat <file>
3. icheck <#>
    
Actual results:
# debugfs /dev/hda3
debugfs 1.26 (3-Feb-2002)
debugfs:  ls
 2  (12) .    2  (12) ..    11  (20) lost+found    32705  (12) boot
 65409  (12) dev    130817  (12) proc    163521  (12) var    212577  (12) tmp
 228929  (12) etc    294337  (12) usr    1373586  (12) sbin
 621425  (12) bin    621428  (12) home    752238  (16) initrd
 997496  (12) lib    490584  (12) mnt    621429  (12) opt
 752239  (12) root    1144721  (12) misc    12  (20) .autofsck
 572732  (16) local    1308692  (3820) export
debugfs:  stat opt
Inode: 621429   Type: directory    Mode:  0755   Flags: 0x0   Generation: 35189
User:     0   Group:     0   Size: 4096
File ACL: 0    Directory ACL: 0
Links: 2   Blockcount: 8
Fragment:  Address: 0    Number: 0    Size: 0
ctime: 0x3e71f338 -- Fri Mar 14 10:20:24 2003
atime: 0x37c170de -- Mon Aug 23 12:03:42 1999
mtime: 0x37c170de -- Mon Aug 23 12:03:42 1999
BLOCKS:
(0):1245750
TOTAL: 1

debugfs:  icheck 621429
Block   Inode number
621429  1259701
debugfs:  q


Expected results:


Additional info:
Comment 1 Florian La Roche 2003-06-03 06:06:04 EDT
This is just cosmetical and does not affect any functionality within e2fsprogs.
I've reported this upstream into e2fsprogs bugreporting system.

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.